# Role: age

## Description

Install `age` and create keys when given in vars.

https://github.com/FiloSottile/age

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.age
  vars:
    ...
```

### Vars

`age_keyfiles`:

Keyfiles to install.

`age_keygen_bin`:

Binary path to use for the key creation command.
